## org.exist.cluster
Class RemoveCollectionClusterEvent

    java.lang.Object
      org.exist.cluster.ClusterEvent
          org.exist.cluster.RemoveCollectionClusterEvent

All Implemented Interfaces:
  java.io.Serializable

public class RemoveCollectionClusterEvent
extends ClusterEvent

Created by Francesco Mondora.

Author:
  Nicola Breda aka Maiale Date: 08-aug-2005 Time: 09.21.12 Revision $Revision: 1582 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.exist.cluster.ClusterEvent
`NO_EVENT`

Constructor Summary
`RemoveCollectionClusterEvent(java.lang.String parent, java.lang.String collectionName)`

Method Summary
`void` `execute()` Execute the current command.
`java.lang.String` `getCollectionName()`
`java.lang.String` `getParent()`
`int` `hashCode()`

Methods inherited from class org.exist.cluster.ClusterEvent
`equals, getCollection, getCollection, getCounter, getDocumentName, getId, getResource, setCounter, setId`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoveCollectionClusterEvent

    public RemoveCollectionClusterEvent(java.lang.String parent,
                                        java.lang.String collectionName)

Method Detail

### getCollectionName

    public java.lang.String getCollectionName()

  Overrides:
    `getCollectionName` in class `ClusterEvent`

### getParent

    public java.lang.String getParent()

### execute

    public void execute()
                 throws ClusterException

  Execute the current command.

  Specified by:
    `execute` in class `ClusterEvent`
  Throws:
    `ClusterException`

### hashCode

    public int hashCode()

Copyright (C) Wolfgang Meier. All rights reserved.